Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.core.learning
Class TrainingElement

    java.lang.Object
      org.neuroph.core.learning.TrainingElement

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SupervisedTrainingElement

    public class TrainingElement

extends java.lang.Object
implements java.io.Serializable

Represents single training element for neural network learning. This class contains only network input and it is used for unsupervised learning algorithms. It is also the base class for SupervisedTrainingElement.

See Also:
  Serialized Form

Field Summary
`protected java.util.Vector<java.lang.Double>` | `input` Input vector for this training element
`protected java.lang.String` | `label` Label for this training element

Constructor Summary
`TrainingElement()` Creates new training element with specified input vector
`TrainingElement(double... input)` Creates new training element with input array
`TrainingElement(java.lang.String input)` Creates new training element with specified input vector
`TrainingElement(java.util.Vector<java.lang.Double> input)` Creates new training element with specified input vector

Method Summary
`java.util.Vector<java.lang.Double>` | `getInput()` Returns input vector
`java.lang.String` | `getLabel()` Get training element label
`void` | `setInput(java.util.Vector<java.lang.Double> input)` Sets input vector
`void` | `setLabel(java.lang.String label)` Set training element label

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### input

    protected java.util.Vector<java.lang.Double> input

  Input vector for this training element

### label

    protected java.lang.String label

  Label for this training element

Constructor Detail

### TrainingElement

    public TrainingElement()

  Creates new training element with specified input vector

### TrainingElement

    public TrainingElement(java.util.Vector<java.lang.Double> input)

  Creates new training element with specified input vector

  Parameters:
    `input` - input vector

### TrainingElement

    public TrainingElement(java.lang.String input)

  Creates new training element with specified input vector

  Parameters:
    `input` -

### TrainingElement

    public TrainingElement(double... input)

  Creates new training element with input array

  Parameters:
    `input` - input array

Method Detail

### getInput

    public java.util.Vector<java.lang.Double> getInput()

  Returns input vector

  Returns:
    input vector

### setInput

    public void setInput(java.util.Vector<java.lang.Double> input)

  Sets input vector

  Parameters:
    `input` - input vector

### getLabel

    public java.lang.String getLabel()

  Get training element label

  Returns:
    training element label

### setLabel

    public void setLabel(java.lang.String label)

  Set training element label

  Parameters:
    `label` - label for this training element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD